Summary:       DNS resolver implemented in Perl
Name:          perl-Net-DNS
Version:       1.45
Release:       1%{?dist}
License:       (GPL+ or Artistic) and MIT
URL:           https://metacpan.org/release/Net-DNS
Source0:       https://cpan.metacpan.org/authors/id/N/NL/NLNETLABS/Net-DNS-%{version}.tar.gz

BuildRequires: make coreutils findutils
BuildRequires: perl-generators perl-interpreter perl(Config)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::Socket::IP) >= 0.38
# Runtime
BuildRequires: perl(base) perl(Carp)
BuildRequires: perl(constant) perl(Data::Dumper)
BuildRequires: perl(Digest::HMAC) >= 1.03
BuildRequires: perl(Digest::MD5) >= 2.13
BuildRequires: perl(Digest::SHA) >= 5.23
BuildRequires: perl(Encode) perl(Exporter) perl(IO::File)
BuildRequires: perl(File::Spec) perl(FileHandle) perl(integer)
BuildRequires: perl(MIME::Base64) >= 2.13
BuildRequires: perl(Net::LibIDN2) >= 1
BuildRequires: perl(overload) perl(Socket) perl(strict)
BuildRequires: perl(Time::Local) perl(warnings)
# Tests only
BuildRequires: perl(File::Find) >= 1.05
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More)
BuildArch:     noarch

Requires:      perl(Data::Dumper) perl(Encode)
Requires:      perl(Digest::HMAC) >= 1.03
Requires:      perl(Digest::MD5) >= 2.13
Requires:      perl(Digest::SHA) >= 5.23
Requires:      perl(MIME::Base64) >= 2.13
Suggests:      perl(Net::DNS::SEC::DSA)
Suggests:      perl(Net::DNS::SEC::ECDSA)
Suggests:      perl(Net::DNS::SEC::EdDSA)
Suggests:      perl(Net::DNS::SEC::Private)
Suggests:      perl(Net::DNS::SEC::RSA)
# Prefer Net::LibIDN2 over Net::LibIDN, both are optional
Suggests:      perl(Net::LibIDN2) >= 1
Suggests:      perl(Scalar::Util) >= 1.25
Suggests:      perl(Config)
Recommends:    perl(IO::Socket::IP) >= 0.38

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Digest::HMAC\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Digest::MD5\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Digest::SHA\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(MIME::Base64\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(CONFIG\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(OS_CONF\\)$
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\((Net::DNS::Text)\\)$
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\((Net::DNS::RR::OPT)\\)$

%description
Net::DNS is a DNS resolver implemented in Perl. It allows the programmer
to perform nearly any type of DNS query from a Perl script. For details
and examples, please read the Net::DNS manual page.


%package Nameserver
Summary:        DNS server for Perl
License:        MIT
Recommends:     perl(IO::Socket::IP) >= 0.32

%description Nameserver
Instances of the "Net::DNS::Nameserver" class represent DNS server objects.


%prep
%autosetup -n Net-DNS-%{version} 
chmod -x demo/*
perl -MConfig -i -pe 's{^#!/usr/local/bin/perl}{$Config{startperl}}' demo/*
# Remove author tests
for file in t/00-install.t t/00-pod.t; do
    rm "${file}"
    perl -i -ne 'print $_ unless m{\A\Q'"${file}"'\E}' MANIFEST
done
# Help generators to recognize Perl scripts
for file in t/*.t; do
    chmod +x "${file}"
done


%build
export PERL_MM_USE_DEFAULT=yes
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 --no-online-tests
%{make_build}


%install
%{make_install}
find %{buildroot} -type f -name '*.bs' -a -size 0 -delete
%{_fixperms} %{buildroot}/*


%check
make test


%files
%license LICENSE
%doc README Changes demo
%{perl_vendorlib}/Net/
%exclude %{perl_vendorlib}/Net/DNS/Resolver/cygwin.pm
%exclude %{perl_vendorlib}/Net/DNS/Resolver/MSWin32.pm
%exclude %{perl_vendorlib}/Net/DNS/Nameserver.pm
%{_mandir}/man3/Net::DNS*.3*
%exclude %{_mandir}/man3/Net::DNS::Resolver::cygwin.3*
%exclude %{_mandir}/man3/Net::DNS::Resolver::MSWin32.3*
%exclude %{_mandir}/man3/Net::DNS::Nameserver*

%files Nameserver
%{perl_vendorlib}/Net/DNS/Nameserver.pm
%{_mandir}/man3/Net::DNS::Nameserver*


%changelog
* Fri Jul 19 2024 Upgrade Robot <upbot@opencloudos.tech> - 1.45-1
- Upgrade to version 1.45

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.39-3
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.39-2
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Wed Aug 02 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.39-1
- Upgrade to upstream version 1.39
- Remove perl(MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.34-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.34-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 03 2022 rockerzhu <rockerzhu@tencent.com> - 1.34-1
- Initial build
